## gcc-6-cross 24

=== debian/changelog ===
gcc-6-cross (24) unstable; urgency=medium

  * Build using 6.3.0-18.

 -- Matthias Klose <doko@debian.org>  Tue, 16 May 2017 14:04:54 -0700

gcc-6-cross (23) unstable; urgency=medium

  * Build using 6.3.0-17.

 -- Matthias Klose <doko@debian.org>  Fri, 12 May 2017 01:08:50 +0200

gcc-6-cross (22) unstable; urgency=medium

  * Build using 6.3.0-16.

 -- Matthias Klose <doko@debian.org>  Tue, 02 May 2017 12:28:10 +0200
