=== debian/control ===
Source: gcc-6-cross
Section: devel
Priority: extra
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 3.9.8
Build-Depends: gcc-6-source (>= 6.3.0-18~), binutils-multiarch (>= 2.28-3),
  autoconf2.64, autogen, bison (>= 1:2.3),
  chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
  gperf (>= 3.0.1), 
  binutils-powerpc64le-linux-gnu (>= 2.28-3) [amd64 i386 x32 ppc64], binutils-s390x-linux-gnu (>= 2.28-3) [amd64 i386 x32], binutils-aarch64-linux-gnu (>= 2.28-3) [amd64 i386 x32], binutils-arm-linux-gnueabihf (>= 2.28-3) [amd64 i386 x32 arm64], binutils-arm-linux-gnueabi (>= 2.28-3) [amd64 i386 x32 arm64], binutils-mips-linux-gnu (>= 2.28-3) [amd64 i386 x32], binutils-mipsel-linux-gnu (>= 2.28-3) [amd64 i386 x32], binutils-mips64el-linux-gnuabi64 (>= 2.28-3) [amd64 i386 x32],
  libc6-dev-ppc64el-cross (>= 2.23) [amd64 i386 x32 ppc64], libc6-dev-s390x-cross (>= 2.23) [amd64 i386 x32], libc6-dev-arm64-cross (>= 2.23) [amd64 i386 x32], libc6-dev-armhf-cross (>= 2.23) [amd64 i386 x32 arm64], libc6-dev-armel-cross (>= 2.23) [amd64 i386 x32 arm64], libc6-dev-mips-cross (>= 2.23) [amd64 i386 x32], libc6-dev-mipsel-cross (>= 2.23) [amd64 i386 x32], libc6-dev-mips64el-cross (>= 2.23) [amd64 i386 x32], libc6-dev-s390-s390x-cross [amd64 i386 x32], libc6-dev-mips64-mips-cross [amd64 i386 x32], libc6-dev-mips64-mipsel-cross [amd64 i386 x32], libc6-dev-mipsn32-mips-cross [amd64 i386 x32], libc6-dev-mipsn32-mipsel-cross [amd64 i386 x32], libc6-dev-mipsn32-mips64el-cross [amd64 i386 x32], libc6-dev-mips32-mips64el-cross [amd64 i386 x32],
  linux-libc-dev-ppc64el-cross [amd64 i386 x32 ppc64], linux-libc-dev-s390x-cross [amd64 i386 x32], linux-libc-dev-arm64-cross [amd64 i386 x32], linux-libc-dev-armhf-cross [amd64 i386 x32 arm64], linux-libc-dev-armel-cross [amd64 i386 x32 arm64], linux-libc-dev-mips-cross [amd64 i386 x32], linux-libc-dev-mipsel-cross [amd64 i386 x32], linux-libc-dev-mips64el-cross [amd64 i386 x32],
  libisl-dev (>= 0.14-1~), libmpc-dev,
  libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
  pkg-config, libgc-dev,
  patchutils, procps, quilt, realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
  g++-6,
  gcj-6-jdk,
  gccgo-6,
  gnat-6 [!m32r !sh3 !sh3eb !sh4 !sh4eb !m68k !powerpcspe !sparc64 !x32],
  xz-utils, zlib1g-dev, python3
Build-Conflicts: gcc-multilib,
  libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
Homepage: http://gcc.gnu.org/

Package: gcc-6-cross-base
Architecture: all
Section: devel
Priority: extra
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (library base package)
 This package contains files common to all libraries
 contained in the GNU Compiler Collection (GCC).

Package: gcc-6-powerpc64le-linux-gnu-base
Architecture: amd64 i386 x32 ppc64
Section: devel
Priority: extra
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc1-ppc64el-cross
Architecture: all
Section: devel
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc1-ppc64el-dcv1
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for ppc64el architecture, for use in cross-compile
 environment.

Package: libgcc-6-dev-ppc64el-cross
Architecture: all
Section: libdevel
Priority: extra
Recommends: ${dep:libcdev}
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm}, ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan}, ${dep:libtsan}, ${dep:libubsan}, ${dep:libcilkrts}, ${dep:libvtv}${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-6 (<< ${gcc:SplitVersion})
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: gcc-6-powerpc64le-linux-gnu
Architecture: amd64 i386 x32 ppc64
Section: devel
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), cpp-6-powerpc64le-linux-gnu (= ${gcc:Version}), binutils-powerpc64le-linux-gnu (>= ${binutils:Version}), libgcc-6-dev-ppc64el-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: ${gcc:multilib}, gcc-6-doc (>= ${gcc:SoftVersion}), gcc-6-locales (>= ${gcc:SoftVersion}), libgcc1-dbg-ppc64el-cross, libgomp1-dbg-ppc64el-cross, libitm1-dbg-ppc64el-cross, libatomic1-dbg-ppc64el-cross, libtsan0-dbg-ppc64el-cross, libbacktrace1-dbg-ppc64el-cross, libquadmath-dbg-ppc64el-cross, ${dep:libcloog}, ${dep:gold}
Provides: c-compiler-powerpc64le-linux-gnu
Description: GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This package contains C cross-compiler for ppc64el architecture.

Package: gcc-6-plugin-dev-powerpc64le-linux-gnu
Architecture: amd64 i386 x32 ppc64
Section: devel
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), gcc-6-powerpc64le-linux-gnu (= ${gcc:Version}), libgmp-dev (>= 2:5.0.1~), ${shlibs:Depends}, ${misc:Depends}
Description: Files for GNU GCC plugin development.
 This package contains (header) files for GNU GCC plugin development. It
 is only used for the development of GCC plugins, but not needed to run
 plugins.

Package: cpp-6-powerpc64le-linux-gnu
Architecture: amd64 i386 x32 ppc64
Section: devel
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: gcc-6-locales (>= ${gcc:SoftVersion})
Replaces: gcc-4.6 (<< 4.6.1-9)
Description: GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.
 .
 This package contains preprocessor configured for ppc64el architecture.

Package: g++-6-powerpc64le-linux-gnu
Architecture: amd64 i386 x32 ppc64
Section: devel
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), gcc-6-powerpc64le-linux-gnu (= ${gcc:Version}), libstdc++-6-dev-ppc64el-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: c++-compiler-powerpc64le-linux-gnu, c++abi2-dev
Suggests: ${gxx:multilib}, gcc-6-doc (>= ${gcc:SoftVersion}), libstdc++6-6-dbg-ppc64el-cross
Description: GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This package contains C++ cross-compiler for ppc64el architecture.

Package: libgomp1-ppc64el-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GCC OpenMP (GOMP) support library
 GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
 in the GNU Compiler Collection.

Package: libitm1-ppc64el-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GNU Transactional Memory Library
 GNU Transactional Memory Library (libitm) provides transaction support for
 accesses to the memory of a process, enabling easy-to-use synchronization of
 accesses to shared memory by several threads.

Package: libatomic1-ppc64el-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: support library providing __atomic built-in functions
 library providing __atomic built-in functions. When an atomic call cannot
 be turned into lock-free instructions, GCC will make calls into this library.

Package: libasan3-ppc64el-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: AddressSanitizer -- a fast memory error detector
 AddressSanitizer (ASan) is a fast memory error detector.  It finds
 use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.

Package: libubsan0-ppc64el-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: UBSan -- undefined behaviour sanitizer
 UndefinedBehaviorSanitizer can be enabled via -fsanitize=undefined.
 Various computations will be instrumented to detect undefined behavior
 at runtime. Available for C and C++.

Package: gobjc++-6-powerpc64le-linux-gnu
Architecture: amd64 i386 x32 ppc64
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), gobjc-6-powerpc64le-linux-gnu (= ${gcc:Version}), g++-6-powerpc64le-linux-gnu (= ${gcc:Version}), ${shlibs:Depends}, libobjc-6-dev-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
Suggests: ${gobjcxx:multilib}, gcc-6-doc (>= ${gcc:SoftVersion})
Provides: objc++-compiler-powerpc64le-linux-gnu
Description: GNU Objective-C++ compiler
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: gobjc-6-powerpc64le-linux-gnu
Architecture: amd64 i386 x32 ppc64
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), gcc-6-powerpc64le-linux-gnu (= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, libobjc-6-dev-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
Suggests: ${gobjc:multilib}, gcc-6-doc (>= ${gcc:SoftVersion}), libobjc4-dbg-ppc64el-cross
Provides: objc-compiler-powerpc64le-linux-gnu
Description: GNU Objective-C compiler
 This is the GNU Objective-C compiler, which compiles
 Objective-C on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: libobjc4-ppc64el-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for GNU Objective-C applications
 Library needed for GNU ObjC applications linked against the shared library.

Package: libobjc-6-dev-ppc64el-cross
Architecture: all
Section: libdevel
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), libgcc-6-dev-ppc64el-cross (= ${gcc:Version}), libobjc4-ppc64el-cross (>= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: gobjc-6 (<< ${gcc:SplitVersion})
Description: Runtime library for GNU Objective-C applications (development files)
 This package contains the headers and static library files needed to build
 GNU ObjC applications.

Package: gfortran-6-powerpc64le-linux-gnu
Architecture: amd64 i386 x32 ppc64
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), gcc-6-powerpc64le-linux-gnu (= ${gcc:Version}), libgfortran-6-dev-ppc64el-cross (= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, ${misc:Depends}
Provides: fortran95-compiler
Suggests: ${gfortran:multilib}, gfortran-6-doc, libgfortran3-dbg-ppc64el-cross
Description: GNU Fortran compiler
 This is the GNU Fortran compiler, which compiles
 Fortran on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: libgfortran3-ppc64el-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for GNU Fortran applications
 Library needed for GNU Fortran applications linked against the
 shared library.
