=== debian/rules ===
#!/usr/bin/make -f

, := ,
space :=
space +=
$(space) := 
$(space) +=

NJOBS =
# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
ifneq (,$(filter parallel=%,$(subst $(,), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(,),$(space),$(DEB_BUILD_OPTIONS))))
endif

vendor := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; else echo Debian; fi)

GCC_VER := $(shell dpkg-parsechangelog |egrep ^Source:|cut -f2 -d' '|cut -f2 -d'-')

ifeq ($(GCC_VER),4.8)
  MIN_VER_GCC      := 4.8.1-16
  PPA_VER_GCC      := 4.8.1
endif

ifeq ($(GCC_VER),4.9)
  MIN_VER_GCC      := 4.9.2-10ubuntu5~
  PPA_VER_GCC      := 4.9.2
endif

ifeq ($(GCC_VER),5)
  MIN_VER_GCC      := 5.3.1-2~
  PPA_VER_GCC      := 5.3.1
endif

ifeq ($(GCC_VER),6)
  MIN_VER_GCC      := 6.3.0-18~
  PPA_VER_GCC      := 6.3.0
endif

ifndef MIN_VER_GCC
  MIN_VER_GCC      := ${GCC_VER}.0.1-0~
  #MIN_VER_GCC      := ${GCC_VER}-20160225-0~
endif

DEB_NAME_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Source: \(.*\)/\1/p')
DEB_SVER_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Version: \(.*\)/\1/p')
DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh $(if $(filter $(DEB_NAME_ACT), gcc-6-cross),ppc64el,ppc64))
CROSS_EXT       := cross$(DEB_VER_ACT)

VER_GCC        := $(shell dpkg-parsechangelog -l/usr/src/gcc-${GCC_VER}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
GCC_DIR        := /usr/src/gcc-${GCC_VER}
VER_BINUTILS   := 2.28-3
MIN_VER_BINUTILS   := 2.28-3
VER_ISL      := 0.14-1~
MIN_VER_GLIBC   := 2.23

DEB_VER_GCC    := $(shell dpkg-parsechangelog -l${GCC_DIR}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')

CROSS_BIARCH_armhf:=armel
CROSS_BIARCH_armel:=armhf
CROSS_BIARCH_powerpc:=ppc64
CROSS_BIARCH_s390x:=s390

HOST_ARCHS_alpha = amd64 i386 x32
HOST_ARCHS_armhf = amd64 i386 x32 arm64
HOST_ARCHS_armel = amd64 i386 x32 arm64
HOST_ARCHS_arm64 = amd64 i386 x32
HOST_ARCHS_hppa = amd64 i386 x32
HOST_ARCHS_m68k = amd64 i386 x32
HOST_ARCHS_mips = amd64 i386 x32
HOST_ARCHS_mipsel = amd64 i386 x32
HOST_ARCHS_mips64 = amd64 i386 x32
HOST_ARCHS_mips64el = amd64 i386 x32
HOST_ARCHS_mipsn32 = amd64 i386 x32
HOST_ARCHS_mipsn32el = amd64 i386 x32
HOST_ARCHS_mips64el = amd64 i386 x32
HOST_ARCHS_mipsr6 = amd64 i386 x32
HOST_ARCHS_mipsr6el = amd64 i386 x32
HOST_ARCHS_mips64r6 = amd64 i386 x32
HOST_ARCHS_mips64r6el = amd64 i386 x32
HOST_ARCHS_mipsn32r6 = amd64 i386 x32
HOST_ARCHS_mipsn32r6el = amd64 i386 x32
HOST_ARCHS_powerpc = amd64 i386 x32 ppc64el
HOST_ARCHS_powerpcspe = amd64 i386 x32
HOST_ARCHS_ppc64 = amd64 i386 x32
HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64
HOST_ARCHS_s390x = amd64 i386 x32
HOST_ARCHS_sh4 = amd64 i386 x32
HOST_ARCHS_sparc64 = amd64 i386 x32

HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
stamp            := stamp-dir/

ifeq ($(DEB_NAME_ACT),gcc-6-cross)
  CROSS_ARCHS  ?= ppc64el s390x arm64 armhf armel \
			$(if $(filter $(vendor), Ubuntu),, mips mipsel mips64el)
  GCC_PORTS_BUILD=
else
  CROSS_ARCHS  ?= alpha hppa m68k mips64 powerpc ppc64 sh4 sparc64 \
			$(if $(filter $(vendor), Ubuntu), mips mipsel mips64el) \
			powerpcspe
# mips64 mipsn32 mipsn32el
# mipsr6 mipsr6el mips64r6el mips64r6 mipsn32r6 mipsn32r6el
  GCC_PORTS_BUILD=-ports
endif

ifeq ($(HOST_ARCH),arm64)
  CROSS_ARCHS = armel armhf
else ifeq ($(HOST_ARCH),ppc64)
  CROSS_ARCHS = ppc64el
else ifeq ($(HOST_ARCH),ppc64el)
  CROSS_ARCHS = powerpc
endif
CROSS_ARCH       = $(subst .,,$(suffix $@))
KERNEL_ARCH      = $(KERNEL_ARCH_$(CROSS_ARCH))
CROSS_BIARCH     = $(CROSS_BIARCH_$(CROSS_ARCH))
_gnu_type        = $(shell dpkg-architecture -a$(1) -qDEB_HOST_GNU_TYPE -f)
CROSS_GNU_TYPE   = $(call _gnu_type,${CROSS_ARCH})
HOST_ARCHS       = $(HOST_ARCH_$(CROSS_ARCH))
ADA_HOST_ARCHS   = $(HOST_ARCH_$(CROSS_ARCH))
ADA64_HOST_ARCHS = $(filter-out i386,$(HOST_ARCH_$(CROSS_ARCH)))

ARM32_MULTILIBS :=
ifeq ($(vendor),Ubuntu)
  ARM32_MULTILIBS := yes
endif

ifeq ($(vendor),Debian)
  skip_dbg_packages = yes
  skip_arm32ml_packages = yes
endif

libgcc_source := $(shell apt-cache show --no-all-versions libgcc1-arm64-cross | awk '/^Source:/ { print $$2 }')
#ifneq ($(DEB_NAME_ACT),$(libgcc_source))
#  skip_common_packages = yes
#endif

BINUTILS_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),binutils-$(call _gnu_type,$(a)) (>= $(MIN_VER_BINUTILS)) [$(HOST_ARCHS_$(a))]$(,))
GLIBC_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),libc6$(if $(filter $(a),alpha ia64),.1)-dev-$(a)-cross (>= $(MIN_VER_GLIBC)) [$(HOST_ARCHS_$(a))]$(,))
LINUX_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),linux-libc-dev-$(a)-cross [$(HOST_ARCHS_$(a))]$(,))

# build multilib cross compilers
ifeq ($(ARM32_MULTILIBS),yes)
  ifneq (,$(filter armel, $(CROSS_ARCHS)))
    EXTRA_BUILD_DEPS += libc6-dev-armhf-cross [$(HOST_ARCHS_armel)],
    ifeq ($(skip_common_packages),yes)
      GCC_BUILD_DEPS += libhfgcc1-armel-cross [$(HOST_ARCHS_armel)],
    endif
  endif

  ifneq (,$(filter armhf, $(CROSS_ARCHS)))
    ifeq ($(skip_common_packages),yes)
      GCC_BUILD_DEPS += libsfgcc1-armhf-cross [$(HOST_ARCHS_armhf)],
    endif
  endif
endif

ifneq (,$(filter ppc64, $(CROSS_ARCHS)))
  EXTRA_BUILD_DEPS += libc6-dev-powerpc-ppc64-cross [$(HOST_ARCHS_ppc64)],
  ifeq ($(skip_common_packages),yes)
    GCC_BUILD_DEPS += lib32gcc1-ppc64-cross [$(HOST_ARCHS_ppc64)],
  endif
endif

ifneq (,$(filter s390x, $(CROSS_ARCHS)))
  EXTRA_BUILD_DEPS += libc6-dev-s390-s390x-cross [$(HOST_ARCHS_s390x)],
  ifeq ($(skip_common_packages),yes)
    GCC_BUILD_DEPS += lib32gcc1-s390x-cross [$(HOST_ARCHS_s390x)],
  endif
endif

ifneq (,$(filter sparc64, $(CROSS_ARCHS)))
  EXTRA_BUILD_DEPS += libc6-dev-sparc-sparc64-cross [$(HOST_ARCHS_sparc64)],
  ifeq ($(skip_common_packages),yes)
    GCC_BUILD_DEPS += lib32gcc1-sparc64-cross [$(HOST_ARCHS_sparc64)],
  endif
endif

ifneq (,$(filter powerpc, $(CROSS_ARCHS)))
  EXTRA_BUILD_DEPS += libc6-dev-ppc64-powerpc-cross [$(HOST_ARCHS_powerpc)],
  ifeq ($(skip_common_packages),yes)
    GCC_BUILD_DEPS += lib64gcc1-powerpc-cross [$(HOST_ARCHS_powerpc)],
  endif
endif

EXTRA_BUILD_DEPS += $(foreach a, mips mipsel, \
  $(if $(filter $(a), $(CROSS_ARCHS)), libc6-dev-mips64-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
)
GCC_BUILD_DEPS += $(foreach a, mips mipsel, \
  $(if $(filter yes, $(skip_common_packages)), lib64gcc1-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
)

EXTRA_BUILD_DEPS += $(foreach a, mips mipsel mips64 mips64el, \
  $(if $(filter $(a), $(CROSS_ARCHS)), libc6-dev-mipsn32-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
)
GCC_BUILD_DEPS += $(foreach a, mips mipsel mips64 mips64el, \
  $(if $(filter yes, $(skip_common_packages)), libn32gcc1-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
)

EXTRA_BUILD_DEPS += $(foreach a, mips64 mips64el, \
  $(if $(filter $(a), $(CROSS_ARCHS)), libc6-dev-mips32-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
)
GCC_BUILD_DEPS += $(foreach a, mips64 mips64el, \
  $(if $(filter yes, $(skip_common_packages)), lib32gcc1-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
)

# mips n32/n32el variants
ifeq (0,1)
EXTRA_BUILD_DEPS += $(foreach a, mipsn32 mipsn32el, \
  $(if $(filter $(a), $(CROSS_ARCHS)), libc6-dev-mips64-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
)
GCC_BUILD_DEPS += $(foreach a, mipsn32 mipsn32el, \
  $(if $(filter yes, $(skip_common_packages)), lib64gcc1-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
)

EXTRA_BUILD_DEPS += $(foreach a, mips64 mips64el, \
  $(if $(filter $(a), $(CROSS_ARCHS)), libc6-dev-mips32-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
)
GCC_BUILD_DEPS += $(foreach a, mips64 mips64el, \
  $(if $(filter yes, $(skip_common_packages)), lib32gcc1-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
)
endif

# mips r6 variants
ifeq (0,1)
EXTRA_BUILD_DEPS += $(foreach a, mipsr6 mipsr6el mipsn32r6 mipsn32r6el, \
  $(if $(filter $(a), $(CROSS_ARCHS)), libc6-dev-mips64-$(a)-cross [$(HOST_ARCHS_$(a))]$(,)) \
)
GCC_BUILD_DEPS += $(foreach a, mipsr6 mipsr6el mipsn32r6 mipsn32r6el, \
