## gcc-6-cross 25ubuntu1

=== debian/changelog ===
gcc-6-cross (25ubuntu1) artful; urgency=medium

  * Build using 6.4.0-3ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:30:58 -0400

gcc-6-cross (25) unstable; urgency=medium

  * Build using 6.4.0-3.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Aug 2017 11:38:26 -0400

gcc-6-cross (22ubuntu2) artful; urgency=medium

  * Build using 6.3.0-16ubuntu6.
  * Stop building packages built by the gcc-7 source.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 May 2017 16:39:32 +0200
