=== debian/rules ===
--- 
+++ 
@@ -32,8 +32,8 @@
 endif
 
 ifeq ($(GCC_VER),6)
-  MIN_VER_GCC      := 6.3.0-18~
-  PPA_VER_GCC      := 6.3.0
+  MIN_VER_GCC      := 6.4.0-3~
+  PPA_VER_GCC      := 6.4.0
 endif
 
 ifndef MIN_VER_GCC
@@ -50,8 +50,8 @@
 GCC_DIR        := /usr/src/gcc-${GCC_VER}
 VER_BINUTILS   := 2.28-3
 MIN_VER_BINUTILS   := 2.28-3
-VER_ISL      := 0.14-1~
-MIN_VER_GLIBC   := 2.23
+VER_ISL      := 0.17-1~
+MIN_VER_GLIBC   := 2.24
 
 DEB_VER_GCC    := $(shell dpkg-parsechangelog -l${GCC_DIR}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')
 
@@ -131,9 +131,9 @@
 endif
 
 libgcc_source := $(shell apt-cache show --no-all-versions libgcc1-arm64-cross | awk '/^Source:/ { print $$2 }')
-#ifneq ($(DEB_NAME_ACT),$(libgcc_source))
-#  skip_common_packages = yes
-#endif
+ifneq ($(DEB_NAME_ACT),$(libgcc_source))
+  skip_common_packages = yes
+endif
 
 BINUTILS_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),binutils-$(call _gnu_type,$(a)) (>= $(MIN_VER_BINUTILS)) [$(HOST_ARCHS_$(a))]$(,))
 GLIBC_BUILD_DEPS = $(foreach a,$(CROSS_ARCHS),libc6$(if $(filter $(a),alpha ia64),.1)-dev-$(a)-cross (>= $(MIN_VER_GLIBC)) [$(HOST_ARCHS_$(a))]$(,))
