## gcc-6-cross 26ubuntu1

=== debian/changelog ===
gcc-6-cross (26ubuntu1) bionic; urgency=medium

  * Build using 6.4.0-9ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Nov 2017 08:38:30 +0100

gcc-6-cross (26) unstable; urgency=medium

  * Build using 6.4.0-9.
  * Fix build dependency on realpath. Closes: #877819

 -- Matthias Klose <doko@debian.org>  Sat, 04 Nov 2017 08:20:22 +0100
