=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: gcc-6-cross
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: gcc-6-source (>= 6.4.0-3~), binutils-multiarch (>= 2.28-3),
+Standards-Version: 1.1.1
+Build-Depends: gcc-6-source (>= 6.4.0-9~), binutils-multiarch (>= 2.28-3),
   pkgbinarymangler,
   autoconf2.64, autogen, bison (>= 1:2.3),
   chrpath, debhelper (>= 9), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
@@ -15,7 +15,7 @@
   libisl-dev (>= 0.17-1~), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   pkg-config, libgc-dev,
-  patchutils, procps, quilt, realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
+  patchutils, procps, quilt, coreutils (>= 2.26) | realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
   g++-6,
   gcj-6-jdk,
   gccgo-6,
@@ -28,7 +28,7 @@
 Package: gcc-6-cross-base
 Architecture: all
 Section: devel
-Priority: extra
+Priority: optional
 Depends: ${misc:Depends}
 Description: GCC, the GNU Compiler Collection (library base package)
  This package contains files common to all libraries
@@ -37,7 +37,7 @@
 Package: gcc-6-powerpc64le-linux-gnu-base
 Architecture: amd64 i386 x32 ppc64
 Section: devel
-Priority: extra
+Priority: optional
 Depends: ${misc:Depends}
 Description: GCC, the GNU Compiler Collection (base package)
  This package contains files common to all languages and libraries
@@ -46,7 +46,7 @@
 Package: libgcc-6-dev-ppc64el-cross
 Architecture: all
 Section: libdevel
-Priority: extra
+Priority: optional
 Recommends: ${dep:libcdev}
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm}, ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan}, ${dep:libtsan}, ${dep:libubsan}, ${dep:libcilkrts}, ${dep:libvtv}${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
 Replaces: gcc-6 (<< ${gcc:SplitVersion})
@@ -57,7 +57,7 @@
 Package: libgcc2-dbg-ppc64el-cross
 Architecture: all
 Section: debug
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), libgcc2-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
 Description: GCC support library (debug symbols)
  Debug symbols for the GCC support library.
@@ -68,7 +68,7 @@
 Package: libgcc4-dbg-ppc64el-cross
 Architecture: all
 Section: debug
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), libgcc4-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
 Description: GCC support library (debug symbols)
  Debug symbols for the GCC support library.
@@ -79,7 +79,7 @@
 Package: lib64gcc1-dbg-ppc64el-cross
 Architecture: all
 Section: debug
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), lib64gcc1-ppc64el-cross (= ${gcc:EpochVersion}), ${misc:Depends}
 Description: GCC support library (debug symbols)
  Debug symbols for the GCC support library.
@@ -90,7 +90,7 @@
 Package: lib32gcc1-dbg-ppc64el-cross
 Architecture: all
 Section: debug
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), lib32gcc1-ppc64el-cross (= ${gcc:EpochVersion}), ${misc:Depends}
 Description: GCC support library (debug symbols)
  Debug symbols for the GCC support library.
@@ -101,7 +101,7 @@
 Package: libhfgcc1-dbg-ppc64el-cross
 Architecture: all
 Section: debug
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), libhfgcc1-ppc64el-cross (= ${gcc:EpochVersion}), ${misc:Depends}
 Description: GCC support library (debug symbols)
  Debug symbols for the GCC support library.
@@ -112,7 +112,7 @@
 Package: libsfgcc1-dbg-ppc64el-cross
 Architecture: all
 Section: debug
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), libsfgcc1-ppc64el-cross (= ${gcc:EpochVersion}), ${misc:Depends}
 Description: GCC support library (debug symbols)
  Debug symbols for the GCC support library.
@@ -123,7 +123,7 @@
 Package: libn32gcc1-dbg-ppc64el-cross
 Architecture: all
 Section: debug
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), libn32gcc1-ppc64el-cross (= ${gcc:EpochVersion}), ${misc:Depends}
 Description: GCC support library (debug symbols)
  Debug symbols for the GCC support library.
@@ -134,7 +134,7 @@
 Package: libx32gcc1-dbg-ppc64el-cross
 Architecture: all
 Section: debug
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), libx32gcc1-ppc64el-cross (= ${gcc:EpochVersion}), ${misc:Depends}
 Description: GCC support library (debug symbols)
  Debug symbols for the GCC support library.
@@ -145,7 +145,7 @@
 Package: gcc-6-powerpc64le-linux-gnu
 Architecture: amd64 i386 x32 ppc64
 Section: devel
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), cpp-6-powerpc64le-linux-gnu (= ${gcc:Version}), binutils-powerpc64le-linux-gnu (>= ${binutils:Version}), libgcc-6-dev-ppc64el-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${dep:libcdev}
 Suggests: ${gcc:multilib}, gcc-6-doc (>= ${gcc:SoftVersion}), gcc-6-locales (>= ${gcc:SoftVersion}), libgcc1-dbg-ppc64el-cross, libgomp1-dbg-ppc64el-cross, libitm1-dbg-ppc64el-cross, libatomic1-dbg-ppc64el-cross, libtsan0-dbg-ppc64el-cross, libbacktrace1-dbg-ppc64el-cross, libquadmath-dbg-ppc64el-cross, ${dep:libcloog}, ${dep:gold}
@@ -158,7 +158,7 @@
 Package: gcc-6-plugin-dev-powerpc64le-linux-gnu
 Architecture: amd64 i386 x32 ppc64
 Section: devel
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), gcc-6-powerpc64le-linux-gnu (= ${gcc:Version}), libgmp-dev (>= 2:5.0.1~), ${shlibs:Depends}, ${misc:Depends}
 Description: Files for GNU GCC plugin development.
  This package contains (header) files for GNU GCC plugin development. It
@@ -168,7 +168,7 @@
 Package: cpp-6-powerpc64le-linux-gnu
 Architecture: amd64 i386 x32 ppc64
 Section: devel
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: gcc-6-locales (>= ${gcc:SoftVersion})
 Replaces: gcc-4.6 (<< 4.6.1-9)
@@ -184,7 +184,7 @@
 Package: g++-6-powerpc64le-linux-gnu
 Architecture: amd64 i386 x32 ppc64
 Section: devel
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), gcc-6-powerpc64le-linux-gnu (= ${gcc:Version}), libstdc++-6-dev-ppc64el-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: c++-compiler-powerpc64le-linux-gnu, c++abi2-dev
 Suggests: ${gxx:multilib}, gcc-6-doc (>= ${gcc:SoftVersion}), libstdc++6-6-dbg-ppc64el-cross
@@ -196,7 +196,7 @@
 Package: lib32gomp1-dbg-ppc64el-cross
 Architecture: all
 Section: debug
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), lib32gomp1-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
 Description: GCC OpenMP (GOMP) support library (32 bit debug symbols)
  GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
@@ -205,7 +205,7 @@
 Package: lib64gomp1-dbg-ppc64el-cross
 Architecture: all
 Section: debug
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), lib64gomp1-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
 Description: GCC OpenMP (GOMP) support library (64bit debug symbols)
  GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
@@ -214,7 +214,7 @@
 Package: libn32gomp1-dbg-ppc64el-cross
 Architecture: all
 Section: debug
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), libn32gomp1-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
 Description: GCC OpenMP (GOMP) support library (n32 debug symbols)
  GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
@@ -222,7 +222,7 @@
 Package: libx32gomp1-dbg-ppc64el-cross
 Architecture: all
 Section: debug
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), libx32gomp1-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
 Description: GCC OpenMP (GOMP) support library (x32 debug symbols)
  GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
@@ -230,7 +230,7 @@
 Package: libhfgomp1-dbg-ppc64el-cross
 Architecture: all
 Section: debug
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), libhfgomp1-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
 Description: GCC OpenMP (GOMP) support library (hard float ABI debug symbols)
  GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
@@ -238,7 +238,7 @@
 Package: libsfgomp1-dbg-ppc64el-cross
 Architecture: all
 Section: debug
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), libsfgomp1-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
 Description: GCC OpenMP (GOMP) support library (soft float ABI debug symbols)
  GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
@@ -246,6 +246,5 @@
 Package: lib32itm1-dbg-ppc64el-cross
 Architecture: all
 Section: debug
-Priority: extra
+Priority: optional
 Depends: gcc-6-powerpc64le-linux-gnu-base (= ${gcc:Version}), lib32itm1-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
-Description: GNU Transactional Memory Library (32 bit debug symbols)
