=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 endif
 
 ifeq ($(GCC_VER),6)
-  MIN_VER_GCC      := 6.4.0-3~
+  MIN_VER_GCC      := 6.4.0-9~
   PPA_VER_GCC      := 6.4.0
 endif
